Bug 79347 - i18n: update data of french burkina Faso [fr_BF]
Summary: i18n: update data of french burkina Faso [fr_BF]
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Localization (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:4.4.0 target:4.3.0.0.beta2
Keywords:
Depends on:
Blocks:
 
Reported: 2014-05-28 05:50 UTC by David Delma
Modified: 2014-06-09 01:01 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
fr_BF update (13.18 KB, text/plain)
2014-05-28 05:50 UTC, David Delma
Details
resulting diff against current locale data (10.12 KB, patch)
2014-06-02 11:42 UTC, Eike Rathke
Details

Note You need to log in before you can comment on or make changes to this bug.
Description David Delma 2014-05-28 05:50:47 UTC
Created attachment 100001 [details]
fr_BF update

I edited the locale of french Burkina Faso [fr_BF] to correct few mistakes. The currency name "Franc CFA" is too short and can be confused with CMAC currency. The full name is "Franc CFA - BCEAO" and I updated.
Few other corrections are made.

faithfully
Comment 2 Eike Rathke 2014-06-02 10:18:39 UTC
Thanks, but.. it would had been nice if you attached a diff against the existing locale data file instead of a complete file. With an entire file I have to reformat the attached file and generate a diff to figure out and apply the changes you did. Btw, the CurrencyName element doesn't really matter in LibreOffice, it isn't displayed anywhere.
Comment 3 Eike Rathke 2014-06-02 11:42:00 UTC
Created attachment 100297 [details]
resulting diff against current locale data

Attached is the resulting diff against the current locale data file.
Note that with the change from DD/MM/YYYY dates to YYYY/MM/DD dates also a change of the DateAcceptancePattern elements is necessary, the pattern for abbreviated dates is now M/D instead of D/M, the former pattern D.M.Y doesn't make much sense anymore, and the D-M-Y would become Y-M-D but that ISO 8601 date input is accepted anyway so the pattern can be omitted.

I have some doubts about the changes in the ReservedWords elements:

-      <quarter1Word>1er trimestre</quarter1Word>
-      <quarter2Word>2e trimestre</quarter2Word>
-      <quarter3Word>3e trimestre</quarter3Word>
-      <quarter4Word>4e trimestre</quarter4Word>
-      <quarter1Abbreviation>T1</quarter1Abbreviation>
-      <quarter2Abbreviation>T2</quarter2Abbreviation>
-      <quarter3Abbreviation>T3</quarter3Abbreviation>
-      <quarter4Abbreviation>T4</quarter4Abbreviation>
+      <quarter1Word>Premier trimestre</quarter1Word>
+      <quarter2Word>Deuxième trimestre</quarter2Word>
+      <quarter3Word>Troisième trimestre</quarter3Word>
+      <quarter4Word>Quatrième trimestre</quarter4Word>
+      <quarter1Abbreviation>1er trim.</quarter1Abbreviation>
+      <quarter2Abbreviation>2e trim.</quarter2Abbreviation>
+      <quarter3Abbreviation>3e trim.</quarter3Abbreviation>
+      <quarter4Abbreviation>4e trim.</quarter4Abbreviation>

These terms are used in date formats with Q and QQ codes for quarters. The French in France localization always had them as they were here previously. Specifically when used as a localization for the English "Q2" the term "2e trim." instead of previously "T2" looks a bit odd. Also the "Quarter 2" localization "Deuxième trimestre" is very verbose compared to the previous "2e trimestre".


-      <aboveWord>supra</aboveWord>
-      <belowWord>infra</belowWord>
+      <aboveWord>carré</aboveWord>
+      <belowWord>Racine carré</belowWord>

These words are used in Writer's text sections when referring text in a section above or below the current section. Do these replacements match the intention?

Please confirm the changes and I'll apply, or deny and I won't ;-)
Comment 4 Commit Notification 2014-06-02 18:34:41 UTC
David Delma committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=dd17adc5920519ff6ce6556579dc2fe4c9c05de8

update French Burkina Faso [fr-BF] locale data, fdo#79347



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2014-06-02 18:53:47 UTC
David Delma committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2940d149b1da9461f7b173fbb39855d43aa17845&h=libreoffice-4-3

update French Burkina Faso [fr-BF] locale data, fdo#79347


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Eike Rathke 2014-06-02 19:02:36 UTC
@David:
I committed the change as is to be able to easier proceed with all the other fr-* locales and derive them from this fr-BF data instead. Please check my comment 3 and reply ASAP, if there are changes to be done they can go into 4.3 only until tomorrow midday CEST (tagging of beta2) without extra steps to be taken.
Comment 7 Commit Notification 2014-06-02 19:07:54 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=05eccdfc3464839ebc1d283b648588be671d65b9

French 'General' keyword should be 'Standard' instead, fdo#79347 related



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2014-06-02 19:09:28 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c553b1fdca31c34f7d9dc7f9bedb8d094c374567&h=libreoffice-4-3

French 'General' keyword should be 'Standard' instead, fdo#79347 related


It will be available in LibreOffice 4.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Adolfo Jayme 2014-06-09 01:01:27 UTC
Assumming that the above commits are all that’s required, I’m closing this.